nl.tudelft.simulation.examples.dsol.terminal

## Class IntResource.RequestComparator

- java.lang.Object
- - nl.tudelft.simulation.examples.dsol.terminal.IntResource.RequestComparator

All Implemented Interfaces:
  Comparator<IntResource.Request<A,R,T>>

Enclosing class:
  IntResource<A extends Comparable<A>,R extends Number & Comparable<R>,T extends nl.tudelft.simulation.dsol.simtime.SimTime<A,R,T>>

    protected class IntResource.RequestComparator
    extends Object
    implements Comparator<IntResource.Request<A,R,T>>

the RequestComparator. This comparator first checks on priority, then on ID.

### Constructor Summary

Constructors
`protected` `RequestComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(IntResource.Request<A,R,T> arg0, IntResource.Request<A,R,T> arg1)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### RequestComparator

    protected RequestComparator()

### Method Detail

#### compare

    public final int compare(IntResource.Request<A,R,T> arg0,
                             IntResource.Request<A,R,T> arg1)

Specified by:
  `compare` in interface `Comparator<IntResource.Request<A extends Comparable<A>,R extends Number & Comparable<R>,T extends nl.tudelft.simulation.dsol.simtime.SimTime<A,R,T>>>`